OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
ComputeNeumannVelocityOp< Vec3GridT, GradientT > Struct Template Reference

`#include <PotentialFlow.h>`

## Public Types
using | ValueT = typename Vec3GridT::ValueType
using | VelocityAccessor = typename Vec3GridT::ConstAccessor
using | VelocitySamplerT = GridSampler< typename Vec3GridT::ConstAccessor, BoxSampler >
using | GradientValueT = typename GradientT::TreeType::ValueType

## Public Member Functions
| ComputeNeumannVelocityOp (const GradientT &gradient, const Vec3GridT &velocity, const ValueT &backgroundVelocity)
| ComputeNeumannVelocityOp (const GradientT &gradient, const ValueT &backgroundVelocity)
void | operator() (typename Vec3GridT::TreeType::LeafNodeType &leaf, size_t) const

## Member Typedef Documentation

## ◆ GradientValueT

using GradientValueT = typename GradientT::TreeType::ValueType

## ◆ ValueT

using ValueT = typename Vec3GridT::ValueType

## ◆ VelocityAccessor

using VelocityAccessor = typename Vec3GridT::ConstAccessor

## ◆ VelocitySamplerT

using VelocitySamplerT = GridSampler< typename Vec3GridT::ConstAccessor, BoxSampler>

## Constructor & Destructor Documentation

## ◆ ComputeNeumannVelocityOp() [1/2]

ComputeNeumannVelocityOp | ( | const GradientT & | gradient,
|  | const Vec3GridT & | velocity,
|  | const ValueT & | backgroundVelocity
| ) |  |
| inline

## ◆ ComputeNeumannVelocityOp() [2/2]

ComputeNeumannVelocityOp | ( | const GradientT & | gradient,
|  | const ValueT & | backgroundVelocity
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | typename Vec3GridT::TreeType::LeafNodeType & | leaf,
|  | size_t |
| ) |  | const
| inline

The documentation for this struct was generated from the following file:

- PotentialFlow.h